use crate::chopper::error::Result;
use crate::chopper::types::Row;

pub trait Sink: Send {
    fn write(&mut self, row: Box<Row>) -> Result<()>;

    /// optional; provided mostly for use outside of chopper
    fn flush(&mut self) -> Result<()> {
        Ok(())
    }
}
